Table of Contents

Class: ValueWithUnitParent | ../bkchem/widgets.py
--- | ---
Base Classes |
--- | ---
Tkinter.Frame
Methods |
--- | ---
__init__ getvalue unit_changed
| __init__
    __init__ (
            self,
            parent,
            value,
            counter,
            label=None,
            units={},
            )
the parent is standard widget parent, counter should be Pmw.Counter instance, units is a dictionary of dictionaries keyed by unit name with ratio, round and increment
| getvalue
    getvalue ( self )
| unit_changed
    unit_changed ( self,  current )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1